Skip to main content
POST
/
Agent
/
Xmpp
/
GetRoster
Get Roster
curl --request POST \
  --url https://{host}/Agent/Xmpp/GetRoster \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "offset": 1073741823,
  "maxCount": 123
}
'
{
  "RosterItems": [
    {
      "bareJid": "<string>",
      "pendingSubscription": true,
      "status": "<string>",
      "name": "<string>",
      "Groups": [
        "<string>"
      ]
    }
  ]
}

Overview

Gets the account’s roster.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
offset
integer
Required range: 0 <= x <= 2147483647
maxCount
integer
Required range: x <= 2147483647

Response

200 - application/json

Success

RosterItems
object[]